Index: /ipk/source.sh4/emus_gbox_773/CONTROL/preinst
===================================================================
--- /ipk/source.sh4/emus_gbox_773/CONTROL/preinst	(revision 11764)
+++ /ipk/source.sh4/emus_gbox_773/CONTROL/preinst	(revision 11765)
@@ -34,5 +34,14 @@
 echo "installing gbox and configs..."
 
-
+buildgroup=`cat /etc/.buildgroup`
+echo "checking OS"	 
+if  [ `cat /etc/motd | grep $buildgroup | grep M | grep rev | wc -l` -eq 0 ]; then 	 	 
+	echo --------------------------- 	 	 
+	echo DONT USE this IPK Package!! 	 	 
+	echo --- 	 	 
+	echo Only for $buildgroup Image!! 	 	 
+	echo --------------------------- 	 	 
+	exit 1 	 	 
+fi
 sync
 exit 0
Index: /ipk/source.sh4/emus_gbox_790/CONTROL/preinst
===================================================================
--- /ipk/source.sh4/emus_gbox_790/CONTROL/preinst	(revision 11764)
+++ /ipk/source.sh4/emus_gbox_790/CONTROL/preinst	(revision 11765)
@@ -33,5 +33,14 @@
 fi   
 echo "installing gbox and configs..."
-
+buildgroup=`cat /etc/.buildgroup`
+echo "checking OS"	 
+if  [ `cat /etc/motd | grep $buildgroup | grep M | grep rev | wc -l` -eq 0 ]; then 	 	 
+	echo --------------------------- 	 	 
+	echo DONT USE this IPK Package!! 	 	 
+	echo --- 	 	 
+	echo Only for $buildgroup Image!! 	 	 
+	echo --------------------------- 	 	 
+	exit 1 	 	 
+fi
 
 sync
Index: /ipk/source.sh4/emus_incubuscamd_0_97/CONTROL/preinst
===================================================================
--- /ipk/source.sh4/emus_incubuscamd_0_97/CONTROL/preinst	(revision 11764)
+++ /ipk/source.sh4/emus_incubuscamd_0_97/CONTROL/preinst	(revision 11765)
@@ -33,5 +33,14 @@
 fi   
 echo "installing incubusCamd ..."
-
+buildgroup=`cat /etc/.buildgroup`
+echo "checking OS"	 
+if  [ `cat /etc/motd | grep $buildgroup | grep M | grep rev | wc -l` -eq 0 ]; then 	 	 
+	echo --------------------------- 	 	 
+	echo DONT USE this IPK Package!! 	 	 
+	echo --- 	 	 
+	echo Only for $buildgroup Image!! 	 	 
+	echo --------------------------- 	 	 
+	exit 1 	 	 
+fi
 
 exit 0
Index: /ipk/source.sh4/emus_kbox_1_01pre24/CONTROL/preinst
===================================================================
--- /ipk/source.sh4/emus_kbox_1_01pre24/CONTROL/preinst	(revision 11764)
+++ /ipk/source.sh4/emus_kbox_1_01pre24/CONTROL/preinst	(revision 11765)
@@ -33,5 +33,14 @@
 fi   
 echo "installing kbox and configs..."
-
+buildgroup=`cat /etc/.buildgroup`
+echo "checking OS"	 
+if  [ `cat /etc/motd | grep $buildgroup | grep M | grep rev | wc -l` -eq 0 ]; then 	 	 
+	echo --------------------------- 	 	 
+	echo DONT USE this IPK Package!! 	 	 
+	echo --- 	 	 
+	echo Only for $buildgroup Image!! 	 	 
+	echo --------------------------- 	 	 
+	exit 1 	 	 
+fi
 
 sync
Index: /ipk/source.sh4/emus_oscam_5168/CONTROL/preinst
===================================================================
--- /ipk/source.sh4/emus_oscam_5168/CONTROL/preinst	(revision 11764)
+++ /ipk/source.sh4/emus_oscam_5168/CONTROL/preinst	(revision 11765)
@@ -34,4 +34,14 @@
 echo "installing Oscam config..."
 
+buildgroup=`cat /etc/.buildgroup`
+echo "checking OS"
+if  [ `cat /etc/motd | grep $buildgroup | grep M | grep rev | wc -l` -eq 0 ]; then 	 	 
+	echo --------------------------- 	 	 
+	echo DONT USE this IPK Package!! 	 	 
+	echo --- 	 	 
+	echo Only for $buildgroup Image!! 	 	 
+	echo --------------------------- 	 	 
+	exit 1
+fi
 
 sync
Index: /ipk/source.sh4/emus_oscam_5866/CONTROL/preinst
===================================================================
--- /ipk/source.sh4/emus_oscam_5866/CONTROL/preinst	(revision 11764)
+++ /ipk/source.sh4/emus_oscam_5866/CONTROL/preinst	(revision 11765)
@@ -34,4 +34,14 @@
 echo "installing Oscam config..."
 
+buildgroup=`cat /etc/.buildgroup`
+echo "checking OS"
+if  [ `cat /etc/motd | grep $buildgroup | grep M | grep rev | wc -l` -eq 0 ]; then 	 	 
+	echo --------------------------- 	 	 
+	echo DONT USE this IPK Package!! 	 	 
+	echo --- 	 	 
+	echo Only for $buildgroup Image!! 	 	 
+	echo --------------------------- 	 	 
+	exit 1
+fi
 
 sync
Index: /ipk/source.sh4/emus_vizcam_1_15/CONTROL/preinst
===================================================================
--- /ipk/source.sh4/emus_vizcam_1_15/CONTROL/preinst	(revision 11764)
+++ /ipk/source.sh4/emus_vizcam_1_15/CONTROL/preinst	(revision 11765)
@@ -33,5 +33,14 @@
 fi   
 echo "installing Vizcam and configs..."
-
+buildgroup=`cat /etc/.buildgroup`
+echo "checking OS"	 
+if  [ `cat /etc/motd | grep $buildgroup | grep M | grep rev | wc -l` -eq 0 ]; then 	 	 
+	echo --------------------------- 	 	 
+	echo DONT USE this IPK Package!! 	 	 
+	echo --- 	 	 
+	echo Only for $buildgroup Image!! 	 	 
+	echo --------------------------- 	 	 
+	exit 1 	 	 
+fi
 
 sync
